Installing Vrui-4.2-002 and Kinect updates needed

Home Forums AR Sandbox Forum Installing Vrui-4.2-002 and Kinect updates needed

This topic contains 9 replies, has 4 voices, and was last updated by  jlarosa 2 years, 3 months ago.

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #102405

    GG_MEDL
    Participant

    There seems to be a few problems regarding the combination of Vrui-4.2-002, Kinect-2.8-002, and Linux Mint 18.

    1) to install Vrui-4.2-002 on LinuxMint 18, the files, libXi-dev and ibXrandr-dev, for some reason need to have lower case X’s. To get the Vrui software to work, one needs to change the “X” to “x” in the Build-Ubuntu.sh file using Text Editor. (see http://lakeviz.org/forums/topic/problem-with-installscript/).

    The Vrui-4.2-002 installation works fine using LinuxMint 17.3 though.

    2) On the Kinect-2.8-002 software installation (after installing Vrui-4.2-002 on LM 17.3 and 18)

    ~/src/Kinect-2.8-002 $ make
    makefile:71: /home/gbg/Vrui-3.1/share/make/SystemDefinitions: No such file or directory
    makefile:72: /home/gbg/Vrui-3.1/share/make/Packages.System: No such file or directory
    makefile:73: /home/gbg/Vrui-3.1/share/make/Configuration.Vrui: No such file or directory
    makefile:74: /home/gbg/Vrui-3.1/share/make/Packages.Vrui: No such file or directory
    makefile:238: /home/gbg/Vrui-3.1/share/make/BasicMakefile: No such file or directory
    make: *** No rule to make target `/home/gbg/Vrui-3.1/share/make/BasicMakefile’. Stop.

    It is looking for “Vrui-3.1”, but there are not Vrui folders in the parent directory. I do not get this error when installing on LM 17.3 with Vrui-3.1-004. (see http://lakeviz.org/forums/topic/vrui-3-1-cant-find/)

    Now, do I stick with using Vrui-3.1-004 so I can get past the Kinect software installation,

    or

    do I go and change the script in Kinect-2.8-002 and possibly encounter another error to figure out,

    or

    do I just wait until all the scripts are updated and no modification is necessary?

    What is your experience?

    #102419

    btelliot
    Participant

    I’m stuck with the same issue.

    I’ve lost a couple hours just trying to get the software working. That upper case X was a pain in the ass.

    Fast forward two weeks; I’m rebuilding on a new computer with a better graphics card, and now the VRUI version is updated, and the script isn’t working again – is the short term fix to install 17.3?

    Cheers,

    Brett

    #102420

    btelliot
    Participant

    I was able to get Build-Ubuntu.sh to work by modifying the Vrui version. Manually enter “3.1 004” on the line VRUI_CURRENT_RELEASE=, and GETVERSION_RESULT= lines.

    Hope this helps,

    # Determine current Vrui version:
    VRUI_CURRENT_RELEASE="3.1 004"
    GETVERSION_RESULT="3.1 004"
    if [ $GETVERSION_RESULT -ne 0 ]; then
    	echo "Could not determine current Vrui release number; please check your network connection and try again"
    	exit $GETVERSION_RESULT
    fi
    #102421

    jlarosa
    Participant

    I did that too to install Vrui, but the next step fails on the Kinect setup:

    makefile:71: /home/nolan/Vrui-3.1/share/make/SystemDefinitions: No such file or directory
    makefile:72: /home/nolan/Vrui-3.1/share/make/Packages.System: No such file or directory
    makefile:73: /home/nolan/Vrui-3.1/share/make/Configuration.Vrui: No such file or directory
    makefile:74: /home/nolan/Vrui-3.1/share/make/Packages.Vrui: No such file or directory
    makefile:238: /home/nolan/Vrui-3.1/share/make/BasicMakefile: No such file or directory
    make: *** No rule to make target ‘/home/nolan/Vrui-3.1/share/make/BasicMakefile’. Stop.

    Were you able to progress all the way through the installation?

    #102422

    btelliot
    Participant

    Yup, just finished. (except now i have some glitchy issues to sort out).

    try deleting your /src/ and /vrui/ folders, restarting, and trying again with the updated build-ubuntu.sh script.

    #102423

    jlarosa
    Participant

    Good for you! Which version of Kinect software are you using?

    #102424

    RickM
    Participant

    Having the same problem now – hard coded the 3.1 004… now Kinect wont install. No such file or directory – same as you are seeing.

    #102425

    jlarosa
    Participant

    Also are you running everything as root?

    #102426

    btelliot
    Participant

    I’m running Kinect-2.8-002.tar.gz

    #102439

    jlarosa
    Participant

    It looks like Oliver has updated his instructions:

    http://lakeviz.org/forums/topic/complete-installation-instructions/

    I deleted my ~/src and /usr/local/share/Vrui* directories and followed the instructions from the beginning. I’m up and running with everything now.

    Big kudos to Oliver!

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.

Comments are closed.